changeset 330:56c3a43af1d5 noffle

[svn] small bugfixes
author godisch
date Tue, 25 Feb 2003 19:15:27 +0000
parents 95f382346e75
children ff7a2dc6023e
files debian/changelog debian/postinst debian/prerm
diffstat 3 files changed, 6 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/debian/changelog	Mon Feb 24 06:30:36 2003 +0000
+++ b/debian/changelog	Tue Feb 25 19:15:27 2003 +0000
@@ -1,9 +1,9 @@
-noffle (1.1.4-2.cvs20030224) unstable; urgency=low
+noffle (1.1.4-2.cvs20030225) unstable; urgency=low
 
   * Added xinetd dependency option and example.
   * Removed dependency on sysvinit.
 
- -- Martin A. Godisch <godisch@debian.org>  Mon, 24 Feb 2003 07:21:42 +0100
+ -- Martin A. Godisch <godisch@debian.org>  Tue, 25 Feb 2003 20:13:56 +0100
 
 noffle (1.1.4-2) unstable; urgency=low
 
--- a/debian/postinst	Mon Feb 24 06:30:36 2003 +0000
+++ b/debian/postinst	Tue Feb 25 19:15:27 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: postinst 460 2003-02-23 15:16:46Z godisch $
+# $Id: postinst 465 2003-02-25 19:15:27Z godisch $
 
 set -e
 
@@ -39,7 +39,7 @@
 if [ "$RET" != false ]; then
 	db_get noffle/port || RET=""
 	port="$RET"
-	[ -z "$port" -o "$port" = 119 ] && port=nntp
+	[ -z "$port" -o "$port" = 119 ] && port=nntp || :
 	# maybe disabled only, e.g. dpkg -r noffle
 	update-inetd --remove "/usr/bin/noffle -r" || :
 	update-inetd --group MAIL --add "$port\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r"
--- a/debian/prerm	Mon Feb 24 06:30:36 2003 +0000
+++ b/debian/prerm	Tue Feb 25 19:15:27 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: prerm 460 2003-02-23 15:16:46Z godisch $
+# $Id: prerm 465 2003-02-25 19:15:27Z godisch $
 
 set -e
 . /usr/share/debconf/confmodule
@@ -14,7 +14,7 @@
 if [ -e /usr/share/debconf/confmodule ]; then
 	db_get noffle/port || RET=""
 	port="$RET"
-	[ -z "$port" -o "$port" = 119 ] && port=nntp
+	[ -z "$port" -o "$port" = 119 ] && port=nntp || :
 	update-inetd --disable $port
 fi